/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.PositionRequest;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class PositionRequestDetail {
    public BigDecimal calcCostToFulfill() {
        return new BigDecimal(0);
    }

    public BigDecimal estimateCostToFulfill() {
        return new BigDecimal(0);
    }

    public Vector listRequiredSkillsAndSkillLevels() {
        return new Vector();
    }

    private int quantity;
    private int interval;
    private int priority;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private HumanResMgmt.PositionAssignment.PositionAssignment lnkUnnamed;

    /**
     * @supplierCardinality 1
     * @clientCardinality 0..*
     */
    private Job lnkUnnamed1;

    /**
     * @supplierCardinality 1
     * @clientCardinality 0..*
     */
    private RelMgmt.Party.WorkCenter lnkUnnamed2;
    private int status;
}


